## class Fl_Tiled_Image

### Class Hierarchy

    Fl_Image
       |
       +----Fl_Tiled_Image

### Include Files

    #include <FL/Fl_Tiled_Image.H>

### Description

The `Fl_Tiled_Image` class supports tiling of images over a specified area. The source (tile) image is not copied unless you call the `color_average()`, `desaturate()`, or `inactive()` methods.

### Methods

- Fl_Tiled_Image
- ~Fl_Tiled_Image
- image

#### Fl_Tiled_Image::Fl_Tiled_Image(Fl_Image *img, int W, int H);

The constructors create a new tiled image containing the specified image.

#### Fl_Tiled_Image::~Fl_Tiled_Image();

The destructor free all memory and server resources that are used by the tiled image.

#### Fl_Image *Fl_Tiled_Image::image();

Returns the image that will be tiled.